## Sobre o repositório

Esse repositório contém exemplos de uso do sistema de integração contínua do
gitlab.

Cada exemplo encontra-se em um ramo diferente, nomeado como
`exemplo/X`, com X > 0.

Para ver o primeiro exemplo mude para o *branch* `exemplo/1` com o comando abaixo e
abra o arquivo `.gitlab-ci.yml`.

```
git checkout -t origin/exemplo/1
```

Todos os *builds* feitos aparecem no item *Builds* do menu lateral esquerdo
no Gitlab.

Clique no valor sob a coluna *Status* para ver detalhes do *build*. Repare
no campo *Ref*, que indica o *branch* onde a *build* foi executada.

## Exercícios

* exemplo/1: definição de **job** e cláusula **script**;
* exemplo/2: executando jobs paralelos;
* exemplo/3: executando algo antes da build com a cláusula **before_script**;
* exemplo/4: escolhendo **runners** com a cláusula **tags**;
* exemplo/5: definição de **artifacts**, produtos da build;
* exemplo/6: definição de estágios (build, test, deploy) com **stages**;
* exemplo/7: utilizando **cache** para acelerar builds;
* exemplo/8: utilizando banco de dados com **services** e **image**;
* exemplo/9: limitando branches que disparam builds com **only** e **except**;
* exemplo/10: cobertura de código
